# User.list\_datasets

### User.<mark style="color:purple;">list\_datasets</mark>(*max\_results=None*) → list<[Dataset](/api/client-libraries/redivis-python/reference/dataset.md)>

Returns a list of dataset instances associated with the user. If the user is not yourself, only datasets that you have overview access to will be included in the list.

### **Parameters:**

**`max_results` :&#x20;*****int, default None***\
If specified, will only return up to max\_results datasets

### **Returns:**&#x20;

**list<**[**Dataset**](/api/client-libraries/redivis-python/reference/dataset.md)**>**

### Examples

```python
user = redivis.user("imathews")
datasets = user.list_datasets()

for dataset in datasets:
    print(dataset.properties["name"])
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-python/reference/user/user.list_datasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
